Skip to content
ShaireDevelopers

ticket-templates

4 endpoints.

get/api/ticket-templates#

Request
curl https://api.shairelabs.com/api/ticket-templates \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TicketTemplate[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
prioritystring*
nonelowmediumhighurgent
estimatenumber | null*
assigneeIds(string · uuid)[]*
tagIds(string · uuid)[]*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

post/api/ticket-templates#

Body

namestring*
min length 1 · max length 120
iconstring | null
min length 1 · max length 32
titlestring*
min length 1 · max length 500
descriptionobject | null
further keys allowed
typestring*
doc
contentunknown[]
prioritystring
nonelowmediumhighurgentdefault "none"
estimatenumber | null
min 0 · max 9999.99
assigneeIds(string · uuid)[]
default []
tagIds(string · uuid)[]
default []
Request
curl https://api.shairelabs.com/api/ticket-templates \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","title":"example"}'

Response · 201 · TicketTemplate

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
prioritystring*
nonelowmediumhighurgent
estimatenumber | null*
assigneeIds(string · uuid)[]*
tagIds(string · uuid)[]*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/ticket-templates/{id}#

Path

idstring*

Body

namestring
min length 1 · max length 120
iconstring | null
min length 1 · max length 32
titlestring
min length 1 · max length 500
descriptionobject | null
further keys allowed
typestring*
doc
contentunknown[]
prioritystring
nonelowmediumhighurgentdefault "none"
estimatenumber | null
min 0 · max 9999.99
assigneeIds(string · uuid)[]
default []
tagIds(string · uuid)[]
default []
Request
curl https://api.shairelabs.com/api/ticket-templates/$TICKET_TEMPLATE_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TicketTemplate

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
descriptionobject | null*
further keys allowed
typestring*
doc
contentunknown[]
prioritystring*
nonelowmediumhighurgent
estimatenumber | null*
assigneeIds(string · uuid)[]*
tagIds(string · uuid)[]*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/ticket-templates/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/ticket-templates/$TICKET_TEMPLATE_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.